Subject: bug#12081: 24.1; buffer-predicate often not called

From: martin rudalics <[email-masked]>
Date: Mon, 30 Jul 2012 19:42:40 +0200

> Actually, it appears I'm wrong about that.  The existing code doesn't
 > make such a guarantee.  Still, it seems to me preferable to have
 > replace-buffer-in-windows and replace_buffer_in_windows_safely agree
 > on what to do as a last resort; that creates a more consistent user
 > experience.

When `replace-buffer-in-windows' fails to replace the buffer,
replace_buffer_in_windows_safely will kick in and automatically do what
you mean.  The user should not notice that.

martin